# Get Budget Program Retrieves a Budget Program by ID Endpoint: GET /v1/budget_programs/{id} Version: 1.0 Security: OAuth2 ## Path parameters: - `id` (string, required) ## Response 200 fields (application/json): - `id` (string, required) - `name` (string, required) - `description` (string,null) - `budget_blueprints` (array, required) - `budget_blueprints.name` (string, required) Name for the Spend Limit. - `budget_blueprints.description` (string,null) Description of what the Spend Limit is used for. - `budget_blueprints.parent_budget_id` (string, required) ID of parent Budget. - `budget_blueprints.owner_user_ids` (array, required) User IDs of the owners of the Spend Limit. - `budget_blueprints.period_type` (string, required) Period type of the Spend Limit e.g. MONTHLY. Enum: "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY", "ONE_TIME" - `budget_blueprints.start_date` (string,null) The UTC date when the Spend Limit should start counting. - `budget_blueprints.end_date` (string,null) The UTC date when the Spend Limit should stop counting. - `budget_blueprints.limit` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `budget_blueprints.limit.amount` (integer, required) The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents. Example: 700 - `budget_blueprints.limit.currency` (string,null) The type of currency, in ISO 4217 format. Example: "USD" - `budget_blueprints.limit_type` (string, required) Whether the Spend Limit's limit blocks spend. Enum: "HARD", "SOFT" - `budget_blueprints.spend_type` (string, required) Whether this Spend Limit only can be spent from by cards provisioned by this Spend Limit. Enum: "BUDGET_PROVISIONED_CARDS_ONLY", "NON_BUDGET_PROVISIONED_CARDS_ALLOWED" - `budget_blueprints.limit_visibility` (string, required) Determines if Spend Limit members are allowed to view the Spend Limit's limit. Enum: "SHARED", "PRIVATE" - `existing_budget_ids` (array,null) IDs for existing Spend Limits associated with this Budget Program. - `employee_filter` (object,null) A filter used to determine if a user adheres to a Budget Program. - `employee_filter.employment_status` (string,null) A filter used to determine if a user adheres to a Budget Program. Enum: "EMPLOYMENT_STATUS_ACTIVE", "EMPLOYMENT_STATUS_INACTIVE", "EMPLOYMENT_STATUS_PENDING" - `employee_filter.employment_type` (string,null) What kind of employment the employee has. Enum: "EMPLOYMENT_TYPE_FULL_TIME", "EMPLOYMENT_TYPE_PART_TIME", "EMPLOYMENT_TYPE_CONTRACTOR", "EMPLOYMENT_TYPE_INTERN", "EMPLOYMENT_TYPE_FREELANCE" - `budget_program_status` (string, required) Enum: "BUDGET_PROGRAM_STATUS_ACTIVE", "BUDGET_PROGRAM_STATUS_INACTIVE", "BUDGET_PROGRAM_STATUS_DELETED" - `creator_user_id` (string,null) - `created_at` (string, required) - `updated_at` (string, required) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields